Package org.apache.jasper.compiler

## Class TagPluginManager

- java.lang.Object
- - org.apache.jasper.compiler.TagPluginManager

-     public class TagPluginManager
      extends java.lang.Object

  Manages tag plugin optimizations.
  Author:
    Kin-man Chung

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TagPluginManager​(ServletContext ctxt)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(org.apache.jasper.compiler.Node.Nodes page, ErrorDispatcher err, org.apache.jasper.compiler.PageInfo pageInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagPluginManager

          public TagPluginManager​(ServletContext ctxt)

  - ### Method Detail

    - #### apply

          public void apply​(org.apache.jasper.compiler.Node.Nodes page,
                            ErrorDispatcher err,
                            org.apache.jasper.compiler.PageInfo pageInfo)
                     throws JasperException

      Throws:
        `JasperException`